---
layout: default
title: arm resource scans
nav_order: 1
---

# arm resource scans (auto generated)

|    |               | Id        | Type                                                                         | Entity                                                                                        | Policy   | IaC                                                         |
|----|---------------|-----------|------------------------------------------------------------------------------|-----------------------------------------------------------------------------------------------|----------|-------------------------------------------------------------|
|  0 | CKV_AZURE_1   | resource  | Microsoft.Compute/virtualMachines                                            | Ensure Azure Instance does not use basic authentication(Use SSH Key Instead)                  | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  1 | CKV_AZURE_2   | resource  | Microsoft.Compute/disks                                                      | Ensure Azure managed disk have encryption enabled                                             | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  2 | CKV_AZURE_3   | resource  | Microsoft.Storage/storageAccounts                                            | Ensure that 'supportsHttpsTrafficOnly' is set to 'true'                                       | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  3 | CKV_AZURE_4   | resource  | Microsoft.ContainerService/managedClusters                                   | Ensure AKS logging to Azure Monitoring is Configured                                          | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  4 | CKV_AZURE_5   | resource  | Microsoft.ContainerService/managedClusters                                   | Ensure RBAC is enabled on AKS clusters                                                        | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  5 | CKV_AZURE_6   | resource  | Microsoft.ContainerService/managedClusters                                   | Ensure AKS has an API Server Authorized IP Ranges enabled                                     | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  6 | CKV_AZURE_7   | resource  | Microsoft.ContainerService/managedClusters                                   | Ensure AKS cluster has Network Policy configured                                              | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  7 | CKV_AZURE_8   | resource  | Microsoft.ContainerService/managedClusters                                   | Ensure Kubernetes Dashboard is disabled                                                       | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  8 | CKV_AZURE_9   | resource  | Microsoft.Network/networkSecurityGroups                                      | Ensure that RDP access is restricted from the internet                                        | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
|  9 | CKV_AZURE_9   | resource  | Microsoft.Network/networkSecurityGroups/securityRules                        | Ensure that RDP access is restricted from the internet                                        | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 10 | CKV_AZURE_10  | resource  | Microsoft.Network/networkSecurityGroups                                      | Ensure that SSH access is restricted from the internet                                        | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 11 | CKV_AZURE_10  | resource  | Microsoft.Network/networkSecurityGroups/securityRules                        | Ensure that SSH access is restricted from the internet                                        | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 12 | CKV_AZURE_11  | resource  | Microsoft.Sql/servers                                                        | Ensure no SQL Databases allow ingress from 0.0.0.0/0 (ANY IP)                                 | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 13 | CKV_AZURE_12  | resource  | Microsoft.Network/networkWatchers/FlowLogs                                   | Ensure that Network Security Group Flow Log retention period is 'greater than 90 days'        | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 14 | CKV_AZURE_12  | resource  | Microsoft.Network/networkWatchers/FlowLogs/                                  | Ensure that Network Security Group Flow Log retention period is 'greater than 90 days'        | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 15 | CKV_AZURE_12  | resource  | Microsoft.Network/networkWatchers/flowLogs                                   | Ensure that Network Security Group Flow Log retention period is 'greater than 90 days'        | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 16 | CKV_AZURE_12  | resource  | Microsoft.Network/networkWatchers/flowLogs/                                  | Ensure that Network Security Group Flow Log retention period is 'greater than 90 days'        | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 17 | CKV_AZURE_13  | resource  | Microsoft.Web/sites/config                                                   | Ensure App Service Authentication is set on Azure App Service                                 | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 18 | CKV_AZURE_13  | resource  | config                                                                       | Ensure App Service Authentication is set on Azure App Service                                 | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 19 | CKV_AZURE_14  | resource  | Microsoft.Web/sites                                                          | Ensure web app redirects all HTTP traffic to HTTPS in Azure App Service                       | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 20 | CKV_AZURE_15  | resource  | Microsoft.Web/sites                                                          | Ensure web app is using the latest version of TLS encryption                                  | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 21 | CKV_AZURE_16  | resource  | Microsoft.Web/sites                                                          | Ensure that Register with Azure Active Directory is enabled on App Service                    | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 22 | CKV_AZURE_17  | resource  | Microsoft.Web/sites                                                          | Ensure the web app has 'Client Certificates (Incoming client certificates)' set               | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 23 | CKV_AZURE_18  | resource  | Microsoft.Web/sites                                                          | Ensure that 'HTTP Version' is the latest if used to run the web app                           | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 24 | CKV_AZURE_19  | resource  | Microsoft.Security/pricings                                                  | Ensure that standard pricing tier is selected                                                 | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 25 | CKV_AZURE_20  | resource  | Microsoft.Security/securityContacts                                          | Ensure that security contact 'Phone number' is set                                            | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 26 | CKV_AZURE_21  | resource  | Microsoft.Security/securityContacts                                          | Ensure that 'Send email notification for high severity alerts' is set to 'On'                 | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 27 | CKV_AZURE_22  | resource  | Microsoft.Security/securityContacts                                          | Ensure that 'Send email notification for high severity alerts' is set to 'On'                 | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 28 | CKV_AZURE_23  | resource  | Microsoft.Sql/servers                                                        | Ensure that 'Auditing' is set to 'Enabled' for SQL servers                                    | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 29 | CKV_AZURE_23  | resource  | Microsoft.Sql/servers/databases                                              | Ensure that 'Auditing' is set to 'Enabled' for SQL servers                                    | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 30 | CKV_AZURE_24  | resource  | Microsoft.Sql/servers                                                        | Ensure that 'Auditing' Retention is 'greater than 90 days' for SQL servers                    | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 31 | CKV_AZURE_25  | resource  | Microsoft.Sql/servers/databases                                              | Ensure that 'Threat Detection types' is set to 'All'                                          | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 32 | CKV_AZURE_26  | resource  | Microsoft.Sql/servers/databases                                              | Ensure that 'Send Alerts To' is enabled for MSSQL servers                                     | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 33 | CKV_AZURE_27  | resource  | Microsoft.Sql/servers/databases                                              | Ensure that 'Email service and co-administrators' is 'Enabled' for MSSQL servers              | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 34 | CKV_AZURE_28  | resource  | Microsoft.DBforMySQL/servers                                                 | Ensure 'Enforce SSL connection' is set to 'ENABLED' for MySQL Database Server                 | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 35 | CKV_AZURE_29  | resource  | Microsoft.DBforPostgreSQL/servers                                            | Ensure 'Enforce SSL connection' is set to 'ENABLED' for PostgreSQL Database Server            | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 36 | CKV_AZURE_30  | resource  | Microsoft.DBforPostgreSQL/servers/configurations                             | Ensure server parameter 'log_checkpoints' is set to 'ON' for PostgreSQL Database Server       | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 37 | CKV_AZURE_30  | resource  | configurations                                                               | Ensure server parameter 'log_checkpoints' is set to 'ON' for PostgreSQL Database Server       | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 38 | CKV_AZURE_31  | resource  | Microsoft.DBforPostgreSQL/servers/configurations                             | Ensure configuration 'log_connections' is set to 'ON' for PostgreSQL Database Server          | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 39 | CKV_AZURE_31  | resource  | configurations                                                               | Ensure configuration 'log_connections' is set to 'ON' for PostgreSQL Database Server          | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 40 | CKV_AZURE_32  | resource  | Microsoft.DBforPostgreSQL/servers/configurations                             | Ensure server parameter 'connection_throttling' is set to 'ON' for PostgreSQL Database Server | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 41 | CKV_AZURE_32  | resource  | configurations                                                               | Ensure server parameter 'connection_throttling' is set to 'ON' for PostgreSQL Database Server | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 42 | CKV_AZURE_33  | resource  | Microsoft.Storage/storageAccounts/queueServices/providers/diagnosticsettings | Ensure Storage logging is enabled for Queue service for read, write and delete requests       | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 43 | CKV_AZURE_34  | resource  | Microsoft.Storage/storageAccounts/blobServices/containers                    | Ensure that 'Public access level' is set to Private for blob containers                       | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 44 | CKV_AZURE_34  | resource  | blobServices/containers                                                      | Ensure that 'Public access level' is set to Private for blob containers                       | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 45 | CKV_AZURE_34  | resource  | containers                                                                   | Ensure that 'Public access level' is set to Private for blob containers                       | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 46 | CKV_AZURE_35  | resource  | Microsoft.Storage/storageAccounts                                            | Ensure default network access rule for Storage Accounts is set to deny                        | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 47 | CKV_AZURE_36  | resource  | Microsoft.Storage/storageAccounts                                            | Ensure 'Trusted Microsoft Services' is enabled for Storage Account access                     | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 48 | CKV_AZURE_37  | resource  | Microsoft.Insights/logprofiles                                               | Ensure that Activity Log Retention is set 365 days or greater                                 | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 49 | CKV_AZURE_38  | resource  | Microsoft.Insights/logprofiles                                               | Ensure audit profile captures all the activities                                              | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 50 | CKV_AZURE_39  | resource  | Microsoft.Authorization/roleDefinitions                                      | Ensure that no custom subscription owner roles are created                                    | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 51 | CKV_AZURE_41  | resource  | Microsoft.KeyVault/vaults/secrets                                            | Ensure that the expiration date is set on all secrets                                         | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 52 | CKV_AZURE_42  | resource  | Microsoft.KeyVault/vaults                                                    | Ensure the key vault is recoverable                                                           | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 53 | CKV_AZURE_47  | resource  | Microsoft.DBforMariaDB/servers                                               | Ensure 'Enforce SSL connection' is set to 'ENABLED' for MariaDB servers                       | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 54 | CKV_AZURE_49  | resource  | Microsoft.Compute/virtualMachineScaleSets                                    | Ensure Azure linux scale set does not use basic authentication(Use SSH Key Instead)           | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 55 | CKV_AZURE_131 | parameter | secureString                                                                 | SecureString parameter should not have hardcoded default values                               | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |
| 56 | CKV_AZURE_132 | resource  | Microsoft.DocumentDB/databaseAccounts                                        | Ensure cosmosdb does not allow privileged escalation by restricting management plane changes  | arm      | https://github.com/bridgecrewio/checkov/tree/master/checkov |


---


